=== debian/control ===
Source: geany-plugins
Section: devel
Priority: optional
Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
Uploaders: Chow Loong Jin <hyperair@debian.org>, Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               dh-autoreconf (>= 4),
               autotools-dev,
               intltool (>= 0.35),
               geany (>= 1.23),
               libgtk2.0-dev (>= 2.16),
               libglib2.0-dev (>= 2.18),
               libenchant-dev (>= 1.3),
               libgtkspell-dev,
               liblua5.1-dev,
               libctpl-dev (>= 0.3),
               python-docutils,
               libxml2-dev (>= 2.6.27),
               libsoup2.4-dev (>= 2.4.0),
               libwebkitgtk-dev (>= 1.1.18) | libwebkit-dev (>= 1.1.18),
               libgdk-pixbuf2.0-dev (>= 2.0),
               libgpgme11-dev,
               libvte-dev (>= 1:0.24),
               libwnck-dev (>= 2.10.0),
               libgconf2-dev (>= 2.6.0),
               libmarkdown2-dev,
               valac (>= 0.7.0)
Standards-Version: 3.9.4
Homepage: http://plugins.geany.org
Vcs-Git: git://git.debian.org/git/pkg-geany/packages/geany-plugins.git
Vcs-Browser: http://git.debian.org/?p=pkg-geany/packages/geany-plugins.git

Package: geany-plugins
Architecture: all
Enhances: geany
Depends: geany-plugin-addons (>= ${source:Version}),
         geany-plugin-codenav (>= ${source:Version}),
         geany-plugin-debugger (>= ${source:Version}),
         geany-plugin-devhelp (>= ${source:Version}),
         geany-plugin-doc (>= ${source:Version}),
         geany-plugin-extrasel (>= ${source:Version}),
         geany-plugin-gendoc (>= ${source:Version}),
         geany-plugin-geniuspaste (>= ${source:Version}),
         geany-plugin-gproject (>= ${source:Version}),
         geany-plugin-insertnum (>= ${source:Version}),
         geany-plugin-latex (>= ${source:Version}),
         geany-plugin-lipsum (>= ${source:Version}),
         geany-plugin-lua (>= ${source:Version}),
         geany-plugin-macro (>= ${source:Version}),
         geany-plugin-miniscript (>= ${source:Version}),
         geany-plugin-multiterm (>= ${source:Version}),
         geany-plugin-numberedbookmarks (>= ${source:Version}),
         geany-plugin-pg (>= ${source:Version}),
         geany-plugin-prj (>= ${source:Version}),
         geany-plugin-sendmail (>= ${source:Version}),
         geany-plugin-tableconvert (>= ${source:Version}),
         geany-plugin-vc (>= ${source:Version}),
         geany-plugin-prettyprinter (>= ${source:Version}),
         geany-plugin-shiftcolumn (>= ${source:Version}),
         geany-plugin-spellcheck (>= ${source:Version}),
         geany-plugin-treebrowser (>= ${source:Version}),
         geany-plugin-updatechecker (>= ${source:Version}),
         geany-plugin-webhelper (>= ${source:Version}),
         geany-plugin-xmlsnippets (>= ${source:Version}),
         ${misc:Depends}
Description: set of plugins for Geany
 This is a metapackage which installs the whole set of plugins for Geany.
 .
 Geany is a fast and lightweight IDE.

Package: geany-plugins-common
Architecture: all
Depends: geany (>= ${geany:Version}),
         ${misc:Depends}
Breaks: geany-plugin-addons (<< 0.19),
        geany-plugin-doc (<< 0.19),
        geany-plugin-gdb (<< 0.19),
        geany-plugin-latex (<< 0.19),
        geany-plugin-lipsum (<< 0.19),
        geany-plugin-lua (<< 0.19),
        geany-plugin-prj (<< 0.19),
        geany-plugin-sendmail (<< 0.19),
        geany-plugin-vc (<< 0.19),
        geany-plugin-shiftcolumn (<< 0.19),
        geany-plugin-spellcheck (<< 0.19)
Description: set of plugins for Geany (translations)
 This package contains translations for the Geany Plugins. You probably do not
 want to install this package directly, but instead install one of the other
 plugins packages.

Package: geany-plugin-addons
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: miscellanous plugins for Geany
 This plugin adds various small addons to Geany which aren't worth an
 individual plugin, but might still be useful for people.
  * DocList: This addon places a new item in the toolbar and when clicked
    offers a menu listing all open files plus the 'Close All' and 'Close Other
    Documents' menu items. This can be useful to quickly access open files and
    switch to them.
  * OpenURI: Adds 'Open URI' and 'Copy URI' menu items to the editor menu when
    the word under the cursor looks like a URI. 'Open URI' uses the browser
    command configured in Geany to open it.
  * Tasks: The tasks plugin goes through a file being edited and picks out
    lines with "TODO" or "FIXME" in them. It collects the text after those words
    and putsthem in a new "Tasks" tab in the message window. Clicking on a task
    in thattab takes you to the line in the file where the task was defined.
  * Systray: Adds a status icon to the notification area (systray) and
    providesa simple popup menu with some basic actions. It can also be used
    to quickly show and hide the Geany main window.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-codenav
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: code navigation plugin for Geany
 This plugin adds some facilities for navigating in code using Geany, making it
 possible to:
  * Switch between header and implementation
  * Go to a file by typing its name
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-commander
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: command panel plugin for Geany
 This plugin adds a command panel to Geany for rapid access to any action.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-debugger
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: debugger plugin for Geany
 Features:
  * Debugger panel
  * Setting target, environment variables and command line arguments
  * Breakpoints
  * Watches, autos
  * Debug terminal
  * Debugger messages window
  * Variables calltips while debugging
  * Saving debug session data in a Geany project (can be switched through
    settings)
  * Double or single panel modes
  * Hotkeys
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-devhelp
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: DevHelp plugin for Geany
 This plugin embeds an API documentation browser and search functionality
 directly into Geany's user interface.
 .
 Devhelp is an API documentation browser mainly aimed at GNOME-related
 libraries, although there are Devhelp books for a wide range of library
 APIs. Check your package manager and/or Google and you should have no trouble
 finding books that can be viewed with Devhelp.
 .
 Geany is a small and lightweight integrated development environment using the
 GTK+ toolkit.

Package: geany-plugin-doc
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: documentation plugin for Geany
 Geanydoc is a plugin for the Geany IDE which is intended to be used to search
 for documentation API from different sources. It allows execution of specified
 commands on the current word at the cursor position or otherwise specified via
 a dialog to obtain this documentation. This documentation is displayed in the
 geany buffer as a tab called *DOC*, or may be displayed in an external program.
 .
 After installing this package, you'll need to enable the "Doc" plugin
 and then setup a keyword binding for it in Geany's preferences dialogue.
 .
 Geany is a small and lightweight integrated development environment using the
 GTK+ toolkit.

Package: geany-plugin-extrasel
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: extra selection plugin for Geany
 The Extra Selection plugin adds the following functions to Geany:-
  * Go to matching brace and select (select to matching brace)
  * Go to line and select (select to line)
  * Ctrl+Shift+Alt+Left/Right/Home/End key - same as Ctrl+Shift, but for
    rectangular selection.
  * Column mode - while active, all (Ctrl)-Shift-Arrow keys do rectangle
    selection instead of stream.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-gendoc
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: documentation generation plugin for Geany
 GeanyGenDoc is a plugin for Geany which provides support for automatically
 generating documentation based on comments in the source code.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-geniuspaste
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: GeniusPaste plugin for Geany
 This plugin allows the user to paste the code from Geany into five different
 pastebins. At the moment it supports this services:
  - codepad.org
  - tinypaste.com
  - pastebin.geany.org
  - dpaste.de
  - sprunge.us
 .
 GeniusPaste detects automatically the syntax of the code and paste it with
 syntax highlighting enabled. It can also display the pasted code opening a new
 browser tab.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-gproject
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: gproject plugin for Geany
 GProject is an extension of Geany's project management displaying a
 tree of files belonging to the project in the sidebar. In addition, it
 enables quick swapping between header and source files, searching
 project files by name and more.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-insertnum
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: number inserting plugin for Geany
 This plugin for Geany replaces a (possibly zero-width) rectangular selection
 with integer numbers, using start/step/base etc. specified by the user. For
 practical reasons, the number of lines is limited to 500000.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-latex
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: improved LaTeX support plugin for Geany
 GeanyLaTeX is a plugin for the Geany IDE to improve work with LaTeX. Features
 include:
  * Wizard for creating a new LaTeX-document
  * Frontend for easy input of \ref{} and \label{}
  * Easy adding of special characters and environments through plugin menu entry
  * Support for adding new items to BibTeX database
  * Toolbar with commonly used format options
