=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

export LDFLAGS += -Wl,--as-needed -Wl,-z,defs

GEANY_VERSION = $(shell pkg-config --modversion geany)
GEANY_ABI = geany-abi-$(shell grep 'define GEANY_ABI_VERSION' /usr/include/geany/plugindata.h | awk '{print $$3}')
GEANY_API = geany-api-$(shell grep 'define GEANY_API_VERSION' /usr/include/geany/plugindata.h | awk '{print $$3}')

override_dh_autoreconf:
	dh_autoreconf --as-needed

# specify libexecdir to avoid cascading geany-plugins directories in /usr/lib
override_dh_auto_configure:
	dh_auto_configure --				\
		--libexecdir='$${exec_prefix}/lib'	\
		--enable-addons				\
		--enable-codenav			\
		--enable-commander			\
		--enable-debugger			\
		--enable-devhelp			\
		--enable-geanydoc			\
		--enable-geanyextrasel			\
		--enable-geanygendoc			\
		--enable-geanyinsertnum			\
		--enable-geanylatex			\
		--enable-geanylipsum			\
		--enable-geanylua			\
		--enable-geanymacro			\
		--enable-geanyminiscript		\
		--enable-geanynumberedbookmarks		\
		--enable-geanyprj			\
		--enable-geanysendmail			\
		--enable-geanyvc			\
		--enable-gtkspell			\
		--enable-geanypg			\
		--enable-largefile			\
		--enable-geniuspaste			\
		--enable-gproject			\
		--enable-markdown			\
		--enable-multiterm			\
		--enable-pretty_printer			\
		--enable-scope				\
		--enable-shiftcolumn			\
		--enable-spellcheck			\
		--enable-treebrowser			\
		--enable-tableconvert			\
		--enable-updatechecker			\
		--enable-webhelper			\
		--enable-xmlsnippets

# install separate ChangeLogs for each different plugin
override_dh_installchangelogs:
	for changelog in */ChangeLog; do \
		[ ! -s $$changelog ] && continue; \
		if [ $$changelog = po/ChangeLog ]; then \
			pkg=geany-plugins-common; \
		else \
			pkg=geany-plugin-$$(dirname $$changelog | sed -e's/^geany//'); \
		fi; \
		dh_installchangelogs \
			-p$$pkg \
			$$changelog; \
	done
	dh_installchangelogs

# add geany:Version substvar to debian/*.substvars
override_dh_gencontrol:
	dh_gencontrol -- \
		"-Vgeany:Version=$(GEANY_VERSION)" \
		"-Vgeany:API=$(GEANY_API)" \
		"-Vgeany:ABI=$(GEANY_ABI)"

# Don't make shlibs (false positive on pretty-printer.so
override_dh_makeshlibs:

override_dh_install:
	dh_install --list-missing

%:
	dh $@ --with=autoreconf --parallel

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')
dfsg_version = $(upstream_version)+dfsg
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

get-orig-source:
	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
	rm $(pkg)-$(dfsg_version)/waf
	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
	rm -rf $(pkg)-$(dfsg_version)
