## geany-plugins 1.24+dfsg

=== wscript ===
--- 
+++ 
@@ -39,18 +39,18 @@
 
 import os
 import tempfile
-from glob import glob
 from waflib import Logs, Scripting, Utils
 from waflib.Tools import c_preproc
 from waflib.Errors import ConfigurationError
 from waflib.TaskGen import feature
+from waflib.Tools.compiler_c import c_compiler
 from build.wafutils import (
     add_define_to_env,
     add_to_env_and_define,
     check_cfg_cached,
     get_plugins,
     get_enabled_plugins,
-    get_svn_rev,
+    get_git_rev,
     install_docs,
     launch,
     load_intltool_if_available,
@@ -60,7 +60,7 @@
 
 
 APPNAME = 'geany-plugins'
-VERSION = '1.23'
+VERSION = '1.24'
 LINGUAS_FILE = 'po/LINGUAS'
 
 top = '.'
@@ -87,44 +87,44 @@
                    args='--cflags --libs')
     check_cfg_cached(conf,
                    package='geany',
-                   atleast_version='1.23',
+                   atleast_version='1.24',
                    uselib_store='GEANY',
                    mandatory=True,
                    args='--cflags --libs')
 
     set_lib_dir(conf)
-    # SVN/GIT detection
-    svn_rev = get_svn_rev(conf)
-    conf.define('REVISION', svn_rev, 1)
+    # GIT detection
+    revision = get_git_rev(conf)
+    conf.define('REVISION', revision, 1)
     # GTK/Geany versions
     geany_version = conf.check_cfg(modversion='geany') or 'Unknown'
     gtk_version = conf.check_cfg(modversion='gtk+-2.0') or 'Unknown'
 
     load_intltool_if_available(conf)
+    setup_configuration_env(conf)
 
     # build plugin list
     enabled_plugins = get_enabled_plugins(conf)
 
-    # execute plugin specific coniguration code
+    # execute plugin specific configuration code
     configure_plugins(conf, enabled_plugins)
     # now add the enabled_plugins to the env to remember them
     conf.env.append_value('enabled_plugins', enabled_plugins)
 
-    setup_configuration_env(conf)
     setup_makefile(conf)
     conf.write_config_header('config.h')
 
     # enable debug when compiling from VCS
-    if svn_rev > 0:
-        conf.env.append_value('CFLAGS', '-g -DDEBUG'.split()) # -DGEANY_DISABLE_DEPRECATED
+    if revision > 0:
+        conf.env.append_value('CFLAGS', '-g -DDEBUG'.split())  # -DGEANY_DISABLE_DEPRECATED
 
     # summary
     Logs.pprint('BLUE', 'Summary:')
     conf.msg('Install Geany Plugins ' + VERSION + ' in', conf.env['G_PREFIX'])
     conf.msg('Using GTK version', gtk_version)
     conf.msg('Using Geany version', geany_version)
-    if svn_rev > 0:
-        conf.msg('Compiling Subversion revision', svn_rev)
+    if revision > 0:
+        conf.msg('Compiling Git revision', revision)
     conf.msg('Plugins to compile', ' '.join(enabled_plugins))
 
 
@@ -190,6 +190,10 @@
 
 
 def options(opt):
+    # Disable MSVC detetion on win32: building Geany-Plugins with MSVC is currently not supported
+    # If anyone wants to add support for building with MSVC, this hack should be removed.
+    c_compiler['win32'] = ['gcc']
+
     opt.tool_options('compiler_cc')
     opt.tool_options('intltool')
 
@@ -198,6 +202,9 @@
     # execute plugin specific option code
     opt.recurse(plugins, mandatory=False)
 
+    # Options
+    opt.add_option('--no-scm', action='store_true', default=False,
+        help='Disable SCM detection [default: No]', dest='no_scm')
     # Paths
     opt.add_option('--libdir', type='string', default='',
         help='object code libraries', dest='libdir')
@@ -208,8 +215,8 @@
         help='list plugins which can be built', dest='list_plugins')
 
     opt.add_option('--enable-plugins', action='store', default='',
-        help='plugins to be built [plugins in CSV format, e.g. "%(1)s,%(2)s"]' % \
-        { '1' : plugins[0], '2' : plugins[1] }, dest='enable_plugins')
+        help='plugins to be built [plugins in CSV format, e.g. "%(1)s,%(2)s"]' %
+        {'1': plugins[0], '2': plugins[1]}, dest='enable_plugins')
     opt.add_option('--skip-plugins', action='store', default='',
         help='plugins which should not be built, ignored when --enable-plugins is set, same format as --enable-plugins',
         dest='skip_plugins')
@@ -267,9 +274,9 @@
     Logs.pprint('GREEN', 'The following targets can be chosen with the --enable-plugins option:')
     Logs.pprint('NORMAL', ' '.join(plugins))
 
-    Logs.pprint('GREEN', \
-    '\nTo compile only "%(1)s" and "%(2)s", use "./waf configure --enable-plugins=%(1)s,%(2)s".' % \
-            { '1' : plugins[0], '2' : plugins[1] } )
+    Logs.pprint('GREEN',
+    '\nTo compile only "%(1)s" and "%(2)s", use "./waf configure --enable-plugins=%(1)s,%(2)s".' %
+            {'1': plugins[0], '2': plugins[1]})
     exit(0)
 
 
@@ -294,7 +301,7 @@
     if 'LINGUAS' in self.env:
         files = self.env['LINGUAS']
         for po_filename in files.split(' '):
-            if os.path.exists ('po/%s.po' % po_filename):
+            if os.path.exists('po/%s.po' % po_filename):
                 linguas += '%s ' % po_filename
     else:
         files = os.listdir('%s/po' % self.path.abspath())
@@ -307,24 +314,19 @@
     file_h.close()
 
 
-def create_installer(ctx):
-    """create the Windows installer (maintainer and Win32 only)"""
-    # must be called *after* everything has been installed
-    do_sign = os.path.exists('sign.bat') # private file to sign the binary files, not needed
-    def sign_binary(filename):
-        if do_sign:
-            ctx.exec_command('sign.bat %s' % filename)
-
-    # strip all binaries
-    Logs.pprint('CYAN', 'Stripping %sfiles' % ('and signing binary ' if do_sign else ''))
-    install_dir = '%s-%s' % (APPNAME, VERSION) # should be ctx.env['G_PREFIX']
-    files = glob(os.path.join(install_dir, 'lib', '*.dll'))
-    files.append(os.path.join(install_dir, 'lib\geany-plugins\geanylua\libgeanylua.dll'))
-    for filename in files: # sign the DLL files
-        ctx.exec_command('strip %s' % filename)
-        sign_binary(filename)
-    # create the installer
-    launch(ctx, 'makensis /V2 /NOCD build/geany-plugins.nsi', 'Creating the installer', 'CYAN')
-    sign_binary('geany-plugins-%s_setup.exe' % VERSION)
-
-
+def updatepo(ctx):
+    """update the message catalogs for internationalization"""
+    potfile = '%s.pot' % APPNAME
+    os.chdir('%s/po' % top)
+    try:
+        try:
+            old_size = os.stat(potfile).st_size
+        except OSError:
+            old_size = 0
+        ctx.exec_command('intltool-update --pot -g %s' % APPNAME)
+        size_new = os.stat(potfile).st_size
+        if size_new != old_size:
+            Logs.pprint('CYAN', 'Updated POT file.')
+            launch(ctx, 'intltool-update -r -g %s' % APPNAME, 'Updating translations', 'CYAN')
+        else:
+            Logs.pprint('CYAN', 'POT file is up to date.')
