=== debian/changelog ===
geany-plugins (1.24+dfsg-2) unstable; urgency=medium

  [ Chow Loong Jin ]
  * [6e4e828] Add --enable flags for new plugins

  [ Evgeni Golov ]
  * [431a28d] add python-gtk2-dev B-D, needed for geanypy
  * [f2dc92e] add package definitions for the new plugins
  * [10567a7] properly link geanypy against gmodule, patch by upstream
  * [de7dfab] add the new plugins to debian/copyright
  * [988f71a] use canonical git urls
  * [c1e261c] Standards-Version: 3.9.5
  * [6fa8471] it's Perl and Python, not perl and python
  * [a0558cb] remove unused lintian overrides
  * [88ee768] fix compilation on GNU/Hurd

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 22 Apr 2014 18:55:08 +0200

geany-plugins (1.24+dfsg-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * [0aa0db1] add signature check for downloads
  * [f152c29] Imported Upstream version 1.24+dfsg
  * [4e0e7f4] we need gean 1.24 to build geany-plugins 1.24

  [ Chow Loong Jin ]
  * [ccfcba3] Use small compiled program to dump GEANY_ABI and GEANY_API.
    Geany 1.24.1 contains a GEANY_ABI that isn't just a simple integer -- it's an
    expression that needs to be resolved now.

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 20 Apr 2014 01:34:06 +0800
