=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-autoreconf (>= 4),
                autotools-dev,
                intltool (>= 0.35),
-               geany (>= 1.23),
+               geany (>= 1.24),
                libgtk2.0-dev (>= 2.16),
                libglib2.0-dev (>= 2.18),
                libenchant-dev (>= 1.3),
@@ -25,18 +25,21 @@
                libwnck-dev (>= 2.10.0),
                libgconf2-dev (>= 2.6.0),
                libmarkdown2-dev,
+               python-gtk2-dev,
                valac (>= 0.7.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://plugins.geany.org
-Vcs-Git: git://git.debian.org/git/pkg-geany/packages/geany-plugins.git
-Vcs-Browser: http://git.debian.org/?p=pkg-geany/packages/geany-plugins.git
+Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany-plugins.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany-plugins.git
 
 Package: geany-plugins
 Architecture: all
 Enhances: geany
 Depends: geany-plugin-addons (>= ${source:Version}),
+         geany-plugin-autoclose (>= ${source:Version}),
          geany-plugin-codenav (>= ${source:Version}),
          geany-plugin-debugger (>= ${source:Version}),
+         geany-plugin-defineformat (>= ${source:Version}),
          geany-plugin-devhelp (>= ${source:Version}),
          geany-plugin-doc (>= ${source:Version}),
          geany-plugin-extrasel (>= ${source:Version}),
@@ -51,8 +54,11 @@
          geany-plugin-miniscript (>= ${source:Version}),
          geany-plugin-multiterm (>= ${source:Version}),
          geany-plugin-numberedbookmarks (>= ${source:Version}),
+         geany-plugin-pairtaghighlighter (>= ${source:Version}),
          geany-plugin-pg (>= ${source:Version}),
+         geany-plugin-pohelper (>= ${source:Version}),
          geany-plugin-prj (>= ${source:Version}),
+         geany-plugin-py (>= ${source:Version}),
          geany-plugin-sendmail (>= ${source:Version}),
          geany-plugin-tableconvert (>= ${source:Version}),
          geany-plugin-vc (>= ${source:Version}),
@@ -115,6 +121,41 @@
  Geany is a small and lightweight integrated development environment using the
  Gtk+ toolkit.
 
+Package: geany-plugin-autoclose
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
+         ${shlibs:Depends}, ${misc:Depends}
+Description: auto-closing plugin for Geany
+ This plugin enables auto-closing features. Auto-closing works while you typing
+ and intellectually helps you to write code.
+ .
+ Features:
+  * auto-close for: { }, [ ], ( ), " ", ' ', < >, ` `
+  * customizeable auto-closing inside strings and comments
+  * delete pairing character if you pressed BackSpace
+  * suppress inserting one char twice (if you type "{}" you will get "{}", not
+    "{}}")
+  * enclose selected text into brackets instead of removing selection (select
+    text and type "(" or ")" to enclose selection into "()")
+  * keep selection when enclosing
+  * for C-like languages enclosing selection into "{}" makes auto-indentation
+    (select text and type "{" or "}" - text will be enclosed and indented)
+  * enclosing in {} moves cursor to beginning (before "{" character)
+  * for C-like languages to insert {}-block you do not need to select text
+    precisely: plugin detects boundaries automatically, just ensure that
+    selection covers lines you need to indent (works like TAB indentation)
+  * fix auto-indent inside {} (makes full indent for this block)
+  * auto-close curly bracket by pressing Enter
+  * auto-close functions (``"sin(|" -> "sin(|);"``) with doubling suppression
+    (for C/C++ languages only)
+  * remove paring brace when pressing Shift+BackSpace, unindent {}-blocks
+  * add semicolon after ``struct {|};`` and ``class {|};``
+  * move cursor to closed char by pressing Tab
+ .
+ Geany is a small and lightweight integrated development environment using the
+ Gtk+ toolkit.
+
 Package: geany-plugin-codenav
 Enhances: geany
 Architecture: any
@@ -162,6 +203,17 @@
  Geany is a small and lightweight integrated development environment using the
  Gtk+ toolkit.
 
+Package: geany-plugin-defineformat
+Enhances: geany
+Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
+         ${shlibs:Depends}, ${misc:Depends}
+Description: on-the-fly #define prettyprinter plugin for Geany
+ This plugin will help you to write multiline defines with aligned backslash.
+ .
+ Geany is a small and lightweight integrated development environment using the
+ Gtk+ toolkit.
+
 Package: geany-plugin-devhelp
 Enhances: geany
 Architecture: any
@@ -223,67 +275,3 @@
  GeanyGenDoc is a plugin for Geany which provides support for automatically
  generating documentation based on comments in the source code.
  .
- Geany is a small and lightweight integrated development environment using the
- Gtk+ toolkit.
-
-Package: geany-plugin-geniuspaste
-Enhances: geany
-Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
-Description: GeniusPaste plugin for Geany
- This plugin allows the user to paste the code from Geany into five different
- pastebins. At the moment it supports this services:
-  - codepad.org
-  - tinypaste.com
-  - pastebin.geany.org
-  - dpaste.de
-  - sprunge.us
- .
- GeniusPaste detects automatically the syntax of the code and paste it with
- syntax highlighting enabled. It can also display the pasted code opening a new
- browser tab.
- .
- Geany is a small and lightweight integrated development environment using the
- Gtk+ toolkit.
-
-Package: geany-plugin-gproject
-Enhances: geany
-Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
-Description: gproject plugin for Geany
- GProject is an extension of Geany's project management displaying a
- tree of files belonging to the project in the sidebar. In addition, it
- enables quick swapping between header and source files, searching
- project files by name and more.
- .
- Geany is a small and lightweight integrated development environment using the
- Gtk+ toolkit.
-
-Package: geany-plugin-insertnum
-Enhances: geany
-Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
-Description: number inserting plugin for Geany
- This plugin for Geany replaces a (possibly zero-width) rectangular selection
- with integer numbers, using start/step/base etc. specified by the user. For
- practical reasons, the number of lines is limited to 500000.
- .
- Geany is a small and lightweight integrated development environment using the
- Gtk+ toolkit.
-
-Package: geany-plugin-latex
-Enhances: geany
-Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
-Description: improved LaTeX support plugin for Geany
- GeanyLaTeX is a plugin for the Geany IDE to improve work with LaTeX. Features
- include:
-  * Wizard for creating a new LaTeX-document
-  * Frontend for easy input of \ref{} and \label{}
-  * Easy adding of special characters and environments through plugin menu entry
-  * Support for adding new items to BibTeX database
-  * Toolbar with commonly used format options
