=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/\+dfsg(\.\d+)?$//,pgpsigurlmangle=s/$/.sig/ \
http://plugins.geany.org/geany-plugins/geany-plugins-(.*).tar.gz
